call_user_method_array
class_alias
Classes/Object Functions
PHP Manual

# call_user_method

Call a user method on an specific object [deprecated]

### Description

mixed call_user_method ( string `$method_name` , object `&$obj` [, mixed `$parameter` [, mixed `$...` ]] )
Warning

The call_user_method function is deprecated as of PHP 4.1.0.

### Parameters

`method_name`

  The method name being called.

`obj`

  The object that `method_name` is being called on.

`parameter ...`

  The optional parameters.

### Examples

Example #1 call_user_method alternative

`<?php
call_user_func(array($obj, $method_name), $parameter /* , ... */);
call_user_func(array(&$obj, $method_name), $parameter /* , ... */); // PHP 4
?>`

### See Also

- call_user_func_array
- call_user_func